package com.ruoyi.finance.shipping;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 凯和导出提润统计
 */
public class ProfitExcel implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 船名
     */
    @Excel(name = "船名")
    private String shipsName;
    /**
     *航次
     */
    @Excel(name = "航次")
    private String voyage;
    /**
     *应收合计
     */
    @Excel(name = "应收合计")
    private BigDecimal receivable;
    /**
     *应付合计
     */
    @Excel(name = "应付合计")
    private BigDecimal handle;
    /**
     *利润
     */
    @Excel(name = "利润")
    private BigDecimal profit;
    /**
     *实收合计
     */
    @Excel(name = "实收合计")
    private BigDecimal actualReceivable;
    /**
     *实付合计
     */
    @Excel(name = "实付合计")
    private BigDecimal actualHandle;

    public String getShipsName() {
        return shipsName;
    }

    public void setShipsName(String shipsName) {
        this.shipsName = shipsName;
    }

    public String getVoyage() {
        return voyage;
    }

    public void setVoyage(String voyage) {
        this.voyage = voyage;
    }

    public BigDecimal getReceivable() {
        return receivable;
    }

    public void setReceivable(BigDecimal receivable) {
        this.receivable = receivable;
    }

    public BigDecimal getHandle() {
        return handle;
    }

    public void setHandle(BigDecimal handle) {
        this.handle = handle;
    }

    public BigDecimal getProfit() {
        return profit;
    }

    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }

    public BigDecimal getActualReceivable() {
        return actualReceivable;
    }

    public void setActualReceivable(BigDecimal actualReceivable) {
        this.actualReceivable = actualReceivable;
    }

    public BigDecimal getActualHandle() {
        return actualHandle;
    }

    public void setActualHandle(BigDecimal actualHandle) {
        this.actualHandle = actualHandle;
    }

    @Override
    public String toString() {
        return "ProfitExcel{" +
                "shipsName='" + shipsName + '\'' +
                ", voyage='" + voyage + '\'' +
                ", receivable=" + receivable +
                ", handle=" + handle +
                ", profit=" + profit +
                ", actualReceivable=" + actualReceivable +
                ", actualHandle=" + actualHandle +
                '}';
    }
}
